clear;

% JUMPING MEAN DATASET
dataset1 = zeros(10000,1);
mu = 0;
sigma = 1;

for i = 3:length(dataset1)
    if mod(i,1000) == 0
        mu = mu + 10 - i / 1000;
    end
    dataset1(i) = 0.6 * dataset1(i-1) - 0.5 * dataset1(i-2) + normrnd(mu, sigma);
end


% JUMPING MEAN AND VARIANCE DATASET
dataset2 = zeros(10000,1);
mu = 0;

for i = 3:length(dataset2)
    if mod(i,1000) == 0
        mu = mu + 1;        
    end
    sigma = 0.1/(0.01 + (10000 - i) / 10000);
    dataset2(i) = 0.6 * dataset2(i-1) - 0.5 * dataset2(i-2) + normrnd(mu, sigma);
end


% JUMPING VARIANCE DATASET
dataset3 = zeros(10000,1);
mu = 0;
sigma = 1;

for i = 3:length(dataset3)
    if mod(i,1000) == 0
        sigma = mod(i/1000,2) * 8 + 1;
    end
    dataset3(i) = 0.6 * dataset3(i-1) - 0.5 * dataset3(i-2) + normrnd(mu, sqrt(sigma));
end

% Calculate Outlier Scores (a) and Change Scores (b)
[a,b] = ChangeFinder(dataset3,5,2,0.02);

subplot(3,1,1)
plot(1:length(dataset3), dataset3)
subplot(3,1,2)
plot(1:length(a),a)
subplot(3,1,3)
plot(1:length(b),b)


