function [ decompData, compressionRate ] = waveletComp(rawData,waveletTyp,maxLevel,threshold,typThreshold, approximationCoefficient  )
% Parameter:
%   rawData[]: the data array
%   string waveletTyp = 'db3'
%   uint maxLevel = 2
%   double threshold = 5
%   string typThreshold: 'h' or 's'
%   decompData[]: the data series 
%   approximationCoefficient = 1 (typ? kA!) 

%testdata
%load leleccum;
%indx = 2600:2900;
%x = leleccum(indx);
%  rawData = [1,1,1,4,1,1,1,1,1,1,1,1,6,7,1];
%  waveletTyp = 'db3';
%  maxLevel = 2;
%  threshold = 1;
%  typThreshold = 'h'; 
%  approximationCoefficient = 1;

%compression
%[thr,sorh,keepapp] = ddencmp('cmp','wv',x);
[decompData,CXC,LXC,compressionRate,PERFL2] = wdencmp('gbl',rawData,waveletTyp,maxLevel,threshold,typThreshold, approximationCoefficient);
decompData = decompData';

compSize = length(CXC) + sum(CXC~=0)*32 + length(LXC)*32; % in bit
origSize = length(rawData) * 32;
compressionRate = compSize/origSize;

%output
% subplot(211)
% plot(rawData); title('Original Signal');
% subplot(212)
% plot(decompData); title('Denoised Signal');
% decompData = 'done';
% keepapp
% thr
% sorh
end

